This reverts commit
f22a7ec1e28d1264cf9d67d78796b8ab22e09a35.
Interrupting the test suite due to an actual bug in a test script
would be just fine, but interrupting the run of the entire test suite
at the first test failure is unacceptable.
exit 1
fi
-set -e
-
-die () {
- echo >&2 "Unexpected failure"
-}
-
-trap 'die' 0
-
cd $(dirname "$0")
TESTS="basic new search search-output json thread-naming raw reply dump-restore uuencode thread-order author-order from-guessing long-id encoding emacs maildir-sync"
# Clean up any results from a previous run
-rm -rf test-results >/dev/null 2>/dev/null
+rm -r test-results >/dev/null 2>/dev/null
# Run the tests
for test in $TESTS; do
# Clean up
rm -r test-results corpus.mail
-
-trap '' 0